# Uses of Class
org.apache.avro.idl.IdlParser.FixedDeclarationContext

## Uses of IdlParser.FixedDeclarationContext in org.apache.avro.idl

Methods in org.apache.avro.idl that return IdlParser.FixedDeclarationContext
Modifier and Type
Method
Description
`final IdlParser.FixedDeclarationContext`
IdlParser.`fixedDeclaration()`
`IdlParser.FixedDeclarationContext`
IdlParser.NamedSchemaDeclarationContext.`fixedDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.FixedDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterFixedDeclaration(IdlParser.FixedDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.fixedDeclaration()`.
`void`
IdlListener.`enterFixedDeclaration(IdlParser.FixedDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.fixedDeclaration()`.
`void`
IdlBaseListener.`exitFixedDeclaration(IdlParser.FixedDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.fixedDeclaration()`.
`void`
IdlListener.`exitFixedDeclaration(IdlParser.FixedDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.fixedDeclaration()`.